import request from '@/utils/request'

// 查询企业账号列表
export function listQiye(query) {
  return request({
    url: '/qygl/Qiye/list',
    method: 'get',
    params: query
  })
}

// 查询企业账号详细
export function getQiye(id) {
  return request({
    url: '/qygl/Qiye/' + id,
    method: 'get'
  })
}

// 新增企业账号
export function addQiye(data) {
  return request({
    url: '/qygl/Qiye',
    method: 'post',
    data: data
  })
}

// 修改企业账号
export function updateQiye(data) {
  return request({
    url: '/qygl/Qiye',
    method: 'put',
    data: data
  })
}

// 删除企业账号
export function delQiye(id) {
  return request({
    url: '/qygl/Qiye/' + id,
    method: 'delete'
  })
}
